%global fontname merriweather
%global fontconf 62-%{fontname}.conf

Name:           google-merriweather-fonts
Version:        1.584
Release:        1%{?dist}
Summary:        Readable text serif font for screen

License:        OFL
URL:            https://fonts.google.com/specimen/Merriweather
Source0:        %{fontname}-%{version}.tar.gz
Source1:        %{name}-fontconfig.conf
Source2:        %{fontname}.metainfo.xml
Source9:        %{fontname}-create-tarball.sh

BuildArch:      noarch
BuildRequires:  fontpackages-devel
Requires:       fontpackages-filesystem

%description
Merriweather was designed to be a text face that is pleasant to read on
screens. Designed by Eben Sorkin, Merriweather features a very large x
height, slightly condensed letterforms, a mild diagonal stress, sturdy
serifs and open forms.


%prep
%setup -q -n %{fontname}-%{version}

cp OFL.txt LICENSE
for _file in FONTLOG.txt LICENSE; do
    chmod 0644 $_file
    sed -i 's/\r$//' $_file
done


%build


%install
rm -fr %{buildroot}

install -m 0755 -d %{buildroot}%{_fontdir}
install -m 0644 -p *.ttf %{buildroot}%{_fontdir}

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
                   %{buildroot}%{_fontconfig_confdir}

install -m 0644 -p %{SOURCE1} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}
ln -s %{_fontconfig_templatedir}/%{fontconf} \
      %{buildroot}%{_fontconfig_confdir}/%{fontconf}

# Add AppStream metadata
install -Dm 0644 -p %{SOURCE2} \
        %{buildroot}%{_datadir}/appdata/%{fontname}.metainfo.xml


%clean
rm -fr %{buildroot}


%_font_pkg -f %{fontconf} *.ttf
%{_datadir}/appdata/%{fontname}.metainfo.xml
%license LICENSE
%doc FONTLOG.txt


%changelog
* Sat Jan 14 2017 Dylan Smith <dyskette@gmail.com> - 1.584-1
- First package

